diff -urN ../rdist-6.1.3/config/mf.newsos6 rdist-6.1.3/config/mf.newsos6
--- ../rdist-6.1.3/config/mf.newsos6	Thu Jan  1 09:00:00 1970
+++ rdist-6.1.3/config/mf.newsos6	Mon Apr 20 16:24:43 1998
@@ -0,0 +1,60 @@
+#
+# Copyright (c) 1993 Michael A. Cooper
+# Copyright (c) 1993 Regents of the University of California.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+# 3. All advertising materials mentioning features or use of this software
+#    must display the following acknowledgement:
+#	This product includes software developed by the University of
+#	California, Berkeley and its contributors.
+# 4. Neither the name of the University nor the names of its contributors
+#    may be used to endorse or promote products derived from this software
+#    without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $Id: mf.irix5,v 1.3 1996/02/01 23:48:31 mcooper Exp $
+#
+
+#
+# IRIX 5.x Makefile
+#
+SHELL	= /bin/sh
+
+INSTALL = ../support/bsdinst.sh
+
+#
+# Functions that are missing in this OS are contained in the
+# files specified in ${MISSINGOBJS}.
+#
+MISSINGOBJS 	= $(O)regex.o $(O)hasmntopt.o
+
+#
+# System libraries that we need to load.
+#
+LIB_SYS		= -lnsl -lsocket
+
+#
+# Installation Directories
+#
+BIN_DIR		= /usr/ucb
+MAN_1_DIR	= /usr/share/man/man1
+MAN_8_DIR	= /usr/share/man/man1m
diff -urN ../rdist-6.1.3/config/os-newsos6.h rdist-6.1.3/config/os-newsos6.h
--- ../rdist-6.1.3/config/os-newsos6.h	Thu Jan  1 09:00:00 1970
+++ rdist-6.1.3/config/os-newsos6.h	Mon Apr 20 16:22:53 1998
@@ -0,0 +1,68 @@
+/*
+ * Copyright (c) 1993 Michael A. Cooper
+ * Copyright (c) 1993 Regents of the University of California.
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ * 3. All advertising materials mentioning features or use of this software
+ *    must display the following acknowledgement:
+ *	This product includes software developed by the University of
+ *	California, Berkeley and its contributors.
+ * 4. Neither the name of the University nor the names of its contributors
+ *    may be used to endorse or promote products derived from this software
+ *    without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+ * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ * SUCH DAMAGE.
+ */
+
+/*
+ * NEWS-OS 6 setting: based on os-sunos5.h
+ */
+
+#ifndef NEWSOS
+#define NEWSOS  6
+#endif
+#ifndef NEWSOS6
+#define NEWSOS6 1
+#endif
+
+/*
+ * Path to sendmail on this OS is different than generic SVR4.
+ */
+#ifndef _PATH_SENDMAIL
+#define _PATH_SENDMAIL		"/usr/lib/sendmail"
+#endif
+
+/*
+ * SunOS 5.x (Solaris 2.x) from Sun.
+ */
+
+#include "os-svr4.h"
+
+/*
+ * Types for write(2)
+ */
+#define WRITE_RETURN_T		ssize_t
+#define WRITE_AMT_T		size_t
+
+/*
+ * We have ftruncate()
+ */
+#define HAVE_FTRUNCATE
diff -urN ../rdist-6.1.3/config/os-type rdist-6.1.3/config/os-type
--- ../rdist-6.1.3/config/os-type	Fri Feb 23 04:18:41 1996
+++ rdist-6.1.3/config/os-type	Mon Apr 20 15:59:27 1998
@@ -107,6 +107,7 @@
 		"openbsd"*)	OS="freebsd2";;
 		"dgux"*)	OS=dgux;;
 		"unicos"*)	OS=unicos;;
+		"news-os6"*)	OS=newsos6;;
 		*)		OS="${osname}${osver}";;
 	esac
 fi
